Subject: Re: bug#16433: 24.3.50; find_newline screws up in Rmail buffers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jan 2014 22:31:06 +0200

> Date: Mon, 13 Jan 2014 14:37:11 -0500
> From: Richard Stallman <[email-masked]>
> 
> 
> mail-fetch-field gave the wrong result for the X-RMAIL-ATTRIBUTES
> field, perhaps because it happened to be last.  It included the
> newline after that field in the return value, which is wrong.
> Setting cache-long-scans to nil in the Rmail buffer made the
> bug go away, so I think the problem is in the newline cache.

I agree.

> I think it would be better to fix the underlying bug, rather than turn
> off the cache in Rmail mode.

Again, I agree.

> I suspect that the cache does not handle Rmail's changes in
> narrowing.

No, I don't think so.  I suspect it has something to do with
buffer-swap-text.

Is it possible to have a reproducible recipe for this problem?